HostingDomain aliases
Verify ownership with DNS synchronously
PUT
/api/domains/{domain_code}/aliases/{alias_domain_code}/dns_ownership_check/syncChecks DNS ownership immediately and queues activation only when the expected A record is already resolvable for the domain or alias domain.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
alias_domain_code*string
Alias domain code: AD followed by 8 digits. Example: AD12345678.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/domains/string/aliases/string/dns_ownership_check/sync" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json"{
"verified": true,
"activation_queued": true,
"resource": {
"type": "domain",
"code": "string",
"name": "string",
"status": "enabled",
"status_detail": "ok"
},
"expected_record": {
"name": "string",
"type": "A",
"value": "string"
},
"resolved_ip": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}